Reply
New Contributor
Posts: 3
Registered: ‎02-16-2018

Qucikstart VM

[ Edited ]

Hello,


I am running Cloudera quickstart VM 5.12.0-0-virtualbox using Oracle VM VirtualBox. After starting the system


when i enter the below, I am getting error message. :


[cloudera@quickstart ~]$ pyspar2
bash: pyspar2: command not found


Looks like to me that Spark version is not the latest one installed on the VM. Can you please advise or guide me through to update the spark version on the VM.


Regards,

Mukund

Explorer
Posts: 8
Registered: ‎02-11-2018

Re: Qucikstart VM

Hello,

 

Are you sure the command is pyspar2? Do you mean pyspark? Version 1.6 is installed.

 

In order to install Spark v2 you need to follow the next guide:

https://www.cloudera.com/downloads/spark2/2-2-r2.html

 

I haven't installed yet, but the guide seems pretty detailed.

 

Regards

New Contributor
Posts: 3
Registered: ‎02-16-2018

Re: Qucikstart VM

Hi,

 

Thanks for providing the link for the quickstart VM setup. I have had followed the step in order to upgrade the spark2 version using Cloudera Manager but I am facing some issues :

 

 

Add Spark 2 Service to Cloudera QuickStart
SeqCmdWork of 2 steps in sequence

 

Failed to execute command Create Spark User Dir on service Spark 2
Execute command Create Spark User Dir on service Spark 2
Failed to execute command Create Spark User Dir on service Spark 2
 Feb 20, 2:55:24 AM75ms 
 
Create Spark User Dir
HDFS dependency of Spark 2 does not have sufficient roles running.
 Feb 20, 2:55:24 AM0ms

 

 

New Contributor
Posts: 3
Registered: ‎02-16-2018

Re: Qucikstart VM

Screen print below for the error message :

IMG_20180220_105933.jpgIMG_20180220_110022.jpg